Subject: Re: bug#40234: [java-iroha] Gradle fails with "Could not find tools.jar"

From: Roel Janssen <[email-masked]>
Date: Thu, 26 Mar 2020 11:22:06 +0100

On Thu, 2020-03-26 at 08:38 +0100, Pierre Neidhardt wrote:
> Hi!
> 
> I'm trying to build https://github.com/hyperledger/iroha-java manually
> with Gradle (tried with Guix but I'm stuck), and I get the following
> error:
> 
> --8<---------------cut here---------------start------------->8---
> Execution failed for task ':client:compileJava'.
> Could not find tools.jar.
> --8<---------------cut here---------------end--------------->8---
> 
> Then it suggests that the Java installation might be wrong.
> I tried with icedtea 3.7.0, openjdk 9 and openjdk 12, to no avail.
> 
> Are our JDK packages wrong missing some jars?
> 

The "tools.jar" is only in de icedtea:jdk output.
You might also need to set environment variable JAVA_HOME to the Guix profile
root that contains icedtea:jdk.

Kind regards,
Roel Janssen